Loading...
Searching...
No Matches
pair_set< T, A >

## Detailed Description

template<class T, class A = std::allocator<std::pair<std::size_t,T> >>
class rheolef::pair_set< T, A >

Definition at line 72 of file pair_set.h.

Inheritance diagram for pair_set< T, A >:

## Public Types

typedef std::size_t | size_type
typedef std::pair< size_type, T > | pair_type
typedef std::pair< const size_type, T > | const_pair_type
typedef pair_type | value_type
typedef std::map< size_type, T, std::less< size_type > > | base
typedef base::allocator_type | allocator_type
typedef A | allocator_type
typedef base::iterator | iterator
typedef base::const_iterator | const_iterator

## Public Member Functions

| pair_set (const A &alloc=A())
| pair_set (const pair_set< T, A > &x, const A &alloc=A())
pair_set< T, A > & | operator= (const pair_set< T, A > &x)
void | clear ()
pair_set< T, A > & | operator+= (const pair_type &x)
template<class B >
pair_set< T, A > & | operator+= (const pair_set< T, B > &b)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)

## Member Typedef Documentation

## size_type

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef std::size_t size_type

Definition at line 78 of file pair_set.h.

## pair_type

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef std::pair<size_type,T> pair_type

Definition at line 79 of file pair_set.h.

## const_pair_type

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef std::pair<const size_type,T> const_pair_type

Definition at line 80 of file pair_set.h.

## value_type

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef pair_type value_type

Definition at line 81 of file pair_set.h.

## base

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef std::map<size_type, T, std::less<size_type> > base

Definition at line 83 of file pair_set.h.

## allocator_type [1/2]

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef base::allocator_type allocator_type

Definition at line 85 of file pair_set.h.

## allocator_type [2/2]

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef A allocator_type

Definition at line 87 of file pair_set.h.

## iterator

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef base::iterator iterator

Definition at line 88 of file pair_set.h.

## const_iterator

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

typedef base::const_iterator const_iterator

Definition at line 89 of file pair_set.h.

## Constructor & Destructor Documentation

## pair_set() [1/2]

template<class T , class A >

pair_set | ( | const A & | alloc = `A()` | ) |

Definition at line 151 of file pair_set.h.

## pair_set() [2/2]

template<class T , class A = std::allocator<std::pair<std::size_t,T> >>

pair_set | ( | const pair_set< T, A > & | x,
|  | const A & | alloc = `A()`
| ) |  |

## Member Function Documentation

## operator=()

template<class T , class A >

pair_set< T, A > & operator= | ( | const pair_set< T, A > & | x | ) |

Definition at line 197 of file pair_set.h.

## clear()

template<class T , class A >

void clear | ( |  | ) |

Definition at line 158 of file pair_set.h.

## operator+=() [1/2]

template<class T , class A >

pair_set< T, A > & operator+= | ( | const pair_type & | x | ) |

Definition at line 165 of file pair_set.h.

## operator+=() [2/2]

template<class T , class A >
template<class B >

pair_set< T, A > & operator+= | ( | const pair_set< T, B > & | b | ) |

Definition at line 208 of file pair_set.h.

## serialize()

template<class T , class A >
template<class Archive >

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 180 of file pair_set.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/pair_set.h